/* Generated by re2c 1.0.2 */
#line 1 "src/lib/amipack_parser_message.re"
/**
 * amiws -- Library with functions for read/create AMI packets
 * Copyright (C) 2016, Stas Kobzar <staskobzar@modulis.ca>
 *
 * This file is part of amiws.
 *
 * amiws is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * amiws is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with amiws.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file amipack_parser_message.c
 * @brief AMI (Asterisk Management Interface) packet parser.
 * This is standard packets like Action, Event, Response etc.
 * Special packets like Command output and Queues list are parsed
 * with different methods.
 *
 * @author Stas Kobzar <stas.kobzar@modulis.ca>
 */

#include "amipack.h"

AMIPacket *amipack_parser_message(const char *packet)
{
  AMIPacket *pack = amipack_init ();
  const char *cursor = packet;
  const char *f1, *f2, *v1, *v2;
  const char *yyt1;const char *yyt2;const char *yyt3;

loop:
  
#line 45 "src/lib/amipack_parser_message.c"
{
	char yych;
	yych = *cursor;
	switch (yych) {
	case '\r':	goto yy4;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
		yyt1 = cursor;
		goto yy5;
	default:	goto yy2;
	}
yy2:
	++cursor;
yy3:
#line 58 "src/lib/amipack_parser_message.re"
	{
              amipack_destroy (pack);
              pack = NULL;
              goto done;
            }
#line 129 "src/lib/amipack_parser_message.c"
yy4:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy6;
	default:	goto yy3;
	}
yy5:
	yych = *(packet = ++cursor);
	switch (yych) {
	case '\t':
	case ' ':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy12;
	default:	goto yy3;
	}
yy6:
	++cursor;
#line 63 "src/lib/amipack_parser_message.re"
	{ goto done; }
#line 213 "src/lib/amipack_parser_message.c"
yy8:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy8;
	case ':':	goto yy13;
	default:	goto yy10;
	}
yy10:
	cursor = packet;
	goto yy3;
yy11:
	yych = *++cursor;
yy12:
	switch (yych) {
	case '\t':
	case ' ':
		yyt2 = cursor;
		goto yy8;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy11;
	case ':':
		yyt2 = cursor;
		goto yy13;
	default:	goto yy10;
	}
yy13:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy13;
	case '\r':
		yyt3 = cursor;
		goto yy17;
	default:
		yyt3 = cursor;
		goto yy15;
	}
yy15:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy17;
	default:	goto yy15;
	}
yy17:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy18;
	default:	goto yy10;
	}
yy18:
	++cursor;
	f1 = yyt1;
	f2 = yyt2;
	v1 = yyt3;
	v2 = cursor - 2;
#line 64 "src/lib/amipack_parser_message.re"
	{
      int field_len = (int)(f2 - f1);
      int value_len   = (int)(v2 - v1);
      amipack_append(pack, strndup(f1, field_len), field_len,
                           strndup(v1, value_len), value_len);
      goto loop;
    }
#line 341 "src/lib/amipack_parser_message.c"
}
#line 72 "src/lib/amipack_parser_message.re"

done:
  return pack;
}
